极路由1s-shadowsocks升级到1.4.8,支持rc4-md5

作者: 阿伟 分类: 技巧分享 发布时间: 2014-11-02 12:29 ė 浏览数 6 没有评论

如果你的极路由还未root安装shadowsocks请参考:http://blog.awei.me/hiwifi-1s-root-shadowsocks/

rc4-md5对于mips平台的cpu的路由器性能更高,由于手边没有linux平台去编译。就在网上找了编译好的静态可执行程序去替换就可以。

首先更改你服务器端的加密方式为rc4-md5 ,然后重启服务。

停止路由器上的shadowsocks,参考命令:

/etc/init.d/shadowsocks stop

然后替换/usr/bin/下的ss-local和ss-redir这两个可执行文件。

然后更改shadowsocks.json里的加密方式。

然后启动shadowsocks服务

/etc/init.d/shadowsocks start

 

放上可执行文件下载地址

http://dl.lazyzhu.com/file/Toolchain/ss-libev/1.4.8-5d7dd372fc/mips/shadowsocks-libev-polarssl_1.4.8_mipsel_uclibc.zip

文件是lazyzhu编译的。感谢。

知识共享许可协议
本作品采用知识共享署名-非商业性使用-禁止演绎 4.0 国际许可协议进行许可。

本文出自阿伟的博客,转载时请注明出处及相应链接。

本文永久链接: https://blog.awei.me/hiwifi-1s-shadowsocks-1-4-8-rc4-md5/

0

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Ɣ回顶部